#!/bin/sh
# IBM Confidential OCO Source Material
# 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2015
# The source code for this program is not published or otherwise divested
# of its trade secrets, irrespective of what has been deposited with the
# U.S. Copyright Office.
#


onlyConfig=$1

# Get location of root of installation
nannyDir=$( cd -P -- "$(dirname -- "$(command -v -- "$0")")" && pwd -P )
cd ${nannyDir}/../../../
rootLoc=`pwd`
cd ${nannyDir}

wxsLoc=${rootLoc}/wxs

# Source environment variables
. "${wxsLoc}/exportCommons.sh"

configFile=conf/nannyWrapper.conf

JAVA_CMD="${JAVA_HOME}/jre/bin/java"

configuredKey='#WATCHDOG CONFIGURED 8613#'

# Skip config if already configured
if [ "${zlinVersion}" = "" ]; then
	if ! grep -q "${configuredKey}" "${configFile}"; then
		# Set up the config file
		echo "wrapper.java.command = ${JAVA_CMD}" | sed -r 's/[/]+/\\\//g' >> ${configFile}
		echo "wrapper.working.dir = ${rootLoc}/wlp/startscripts/nanny/log" | sed -r 's/[/]+/\\\//g' >> ${configFile}
		echo "wrapper.java.classpath.1 = ${rootLoc}/wlp/usr/shared/resources/tenant.jar" | sed -r 's/[/]+/\\\//g' >> ${configFile}
		echo "wrapper.java.classpath.2 = ${rootLoc}/wlp/usr/shared/resources/derbyclient.jar" | sed -r 's/[/]+/\\\//g' >> ${configFile}
		echo "wrapper.java.classpath.3 = ${rootLoc}/wlp/usr/shared/resources/commonobjectgridIntf.jar" | sed -r 's/[/]+/\\\//g' >> ${configFile}
 		echo "wrapper.java.classpath.4 = ${rootLoc}/wlp/lib/\${new File('${rootLoc}/wlp/startscripts/nanny/LIB_LOGGING').text}" | sed -r 's/[/]+/\\\//g' >> ${configFile}
 		echo "wrapper.java.classpath.5 = ${rootLoc}/wlp/lib/\${new File('${rootLoc}/wlp/startscripts/nanny/LIB_JSON').text}" | sed -r 's/[/]+/\\\//g' >> ${configFile}
		echo "wrapper.app.env.JAVA_HOME=${JAVA_HOME}" >> ${configFile}
		
		echo "wrapper.logfile = ${rootLoc}/wlp/startscripts/nanny/log/nanny.log" | sed -r 's/[/]+/\\\//g' >> ${configFile}
		
		echo "${configuredKey}" >> "${configFile}"
	fi
else
	echo 'Installing on zLinux'
	watchdogCMD="${rootLoc}/wxs/startWatchDog_nonroot.sh" 
	
	serviceName=XS-Nanny-Watch-Dog
	cp templates/daemon.vm ${serviceName}
	chmod +x ${serviceName}
	
	sed -i "s/\$H/#/g" ${serviceName}
	sed -i "s#\$w_name#${serviceName}#g" ${serviceName}
	sed -i "s#\$w_start_cmd#${watchdogCMD} true#g" ${serviceName}
	sed -i "s#\$w_stop_cmd#kill -9 \`cat ${nannyDir}/WATCHDOG.PID\`#g" ${serviceName}
	sed -i 's#$w_status_cmd#exit 1#g' ${serviceName}
	sed -i "s#\$w_wrapper_pid_file#${nannyDir}/WATCHDOG.PID#g" ${serviceName}
	
	mv ${serviceName} /etc/init.d/${serviceName}
    update-rc.d ${serviceName} defaults
	
	exit
fi

if [ "${onlyConfig}" = "true" ]; then
	exit
fi

# Add service to OS registry if not there
if [ `"${JAVA_CMD}" -jar wrapper.jar -q ${configFile} | grep "Installed   : true" | wc -l` -eq 0 ]; then
	if [ "${noServiceMode}" = "true" ]; then
		echo 'wrapper.app.parameter.5=true' >> ${configFile}
	else
		"${JAVA_CMD}" -jar ./wrapper.jar -i ${configFile} > log/nannyInstall.log
	fi

fi

if [ "${noServiceMode}" = "true" ]; then
        ${JAVA_CMD} -jar ./wrapper.jar ${configFile} -c > "${nannyDir}/log/nanny.log" &
        sleep 5
        pgrep -f "nannyWrapper.conf -c" > WATCHDOG.PID
fi

echo 'installStartWatchDog completed'
