#!/bin/sh

# IBM Confidential OCO Source Material
# 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2015
# The source code for this program is not published or otherwise divested
# of its trade secrets, irrespective of what has been deposited with the
# U.S. Copyright Office.

# exportCommons.sh should be sourced at the beginning of any shell script that requires common environment variables
# Example usage: 
#	wxsLoc="/path/to/wxs"
#	. ./exportCommons.sh
# When sourced this sets didSetJava to true if JAVA_HOME was set in java_home.txt

# Load common environment variables if it doesn't exist and is not a placeholder
if [ -e "${wxsLoc}/java_home.txt" ]; then
	export JAVA_HOME=`cat "${wxsLoc}/java_home.txt"`
	didSetJava=true
fi

# Export java command
if [ -f "${JAVA_HOME}/jre/bin/java" ]; then
        JAVA_CMD="${JAVA_HOME}/jre/bin/java"
else
        JAVA_CMD="${JAVA_HOME}/bin/java"
        JAVA_HOME="${JAVA_HOME}/.."
fi

# Check if services are enabled
user=`whoami`
dpVersion=`uname -r | grep dp_`
uname -a | grep -q 'AIX'
if [ ! $? -eq 0 ] && [ "${dpVersion}" = "" ]  && [ -e /etc/init.d ]; then
        export noServiceMode=false
else
        export noServiceMode=true
fi

zlinVersion=`uname -a | grep s390`

# Set zLinVersion to copy zLinux install process for non root users
if [ ! -w "/etc" ]; then
        zlinVersion='nonroot'
fi

# Check if should use systemctl, only if it exists, --user works and chkconfig isn't available
export useSystemctl=1
which chkconfig >/dev/null 2>&1
if [ ! $? -eq 0 ] && [ "${zlinVersion}" = "nonroot" ]; then
        which systemctl >/dev/null 2>&1
        export useSystemctl=$?
fi
