#!/bin/sh
# IBM Confidential OCO Source Material
# 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2017
# The source code for this program is not published or otherwise divested
# of its trade secrets, irrespective of what has been deposited with the
# U.S. Copyright Office.
#

wxsLoc=$( cd -P -- "$(dirname -- "$(command -v -- "$0")")" && pwd -P )

# AIX Migration
uname -a | grep -q 'AIX'
if [ $? -eq 0 ]; then
	# Check if already migrated
	grep -q "startWatchDog_nonroot" /etc/inittab
	if [ ! $? -eq 0 ]; then
		# Tell user to reregister as root if they don't have write access to inittab
		if [ ! -w "/etc/inittab" ]; then
			echo 'XSLD services must be updated, please run registerServices.sh as a root user to update service files.'
			exit 1
		fi
	fi
	
	# Quit if AIX because startXSLD re-updates inittab automatically
	exit 0
fi

grep -q "startWatchDog_nonroot" /etc/init.d/XS-Nanny-Watch-Dog
isNonRootMigrated=$?

grep -q "WATCHDOG CONFIGURED 8613" "${wxsLoc}/../wlp/startscripts/nanny/conf/nannyWrapper.conf"
isRootMigrated=$?

# Quit if service scripts are already migrated
if [ ${isNonRootMigrated} -eq 0 ] || [ ${isRootMigrated} -eq 0 ]; then
	exit 0
fi

if [ ! -w "/etc" ]; then
	echo 'XSLD services must be updated, please run registerServices.sh as a root user to update service files.'
	exit 1
fi

if [ -e "/etc/init.d/XS-Nanny-Watch-Dog" ] && [ ! -e "/etc/init.d/XS-Derby" ] && [ ! "${zLinVersion}" = "nonroot" ]; then
	xsldUser=`cat /etc/init.d/XS-Nanny-Watch-Dog | grep xsldUser | cut -d'=' -f2`
	"${wxsLoc}/registerService.sh" ${xsldUser}
else
	cd "${wxsLoc}/../wlp/startscripts/nanny/"
	mv conf/nannyWrapper.conf conf/nannyWrapper.conf_bak
	cp conf/nannyWrapper.template conf/nannyWrapper.conf
	./installStartWatchDog.sh true
fi
